function sto_shushan1_1()

pid=player.GetMainPlayer()

player.SetVisible(pid,0)

if flag.GetValue(41013)==0 then --第一次进蜀山
		player.Stop()
		global.BeginScene()
		

--	    --淡入淡出
--		effect.FadeOut(1,1)
		
--		global.Wait(3)
		npc.Create(12053,412,4914,8132)--一贫
		npc.Create(12050,413,4858,8315-155)--谢沧行
		npc.SetAtPos(412,4858,8315-155)
		npc.SetAtPos(413,4914,8132)
		
		player.Stop()
		camera.Save()
		
		
		player.SetVisible(player.GetMainPlayer(),0)




--		effect.FadeIn(1,1)
--		--淡入结束


	---------------加回
	for
	i=41005,41012,1
	do
	    if flag.GetValue(i)~=0 then
		   player.Add(flag.GetValue(i),0,1)
		   
		  	flag.SetValue(i,0) --清空旗标 
		end
	end
	

	
	    
		
		
		
		camera.ChangeCameraStatic(4877,3152,8240,4873,3140,8141)
		camera.ResetLerp(9000)
		camera.ChangeCameraStatic(4825,3151,8216,4894,3134,8146)
		global.Wait(2)
		
		
		


	ui.SetDialogHeadSize(400,500) ---------
	ui.Dialog(90144,877,1,412,0,0) --下山了果然也没荒废武学。
	ui.SetDialogHeadSize(450,500) ---------
    ui.Dialog(90145,112,3,413,0,0) --哈哈哈，我可时刻牢记不能输给师兄啊！
    ui.SetDialogHeadSize(400,500) ---------
	ui.Dialog(90146,877,1,412,0,0) --好了，言归正传。一会来璇光殿，我们有事商议。
    ui.SetDialogHeadSize(450,500) ---------

 	global.CreateSE(2659,4914,3116,8132)
 	global.Wait(0.5)
 	npc.Destroy(412)
 	
 	
 		    --淡入淡出
		effect.FadeOut(1,1)
		global.Wait(3) 
		
        camera.Resume()
		camera.ChangeCameraFree()
		npc.Destroy(413)
		flag.SetValue(41013,1)
		map_reload() 
		player.SetVisible(player.GetMainPlayer(),1)
		
		global.EndScene()




		effect.FadeIn(1,1)
		--淡入结束
 	

elseif flag.GetValue(41013)==3 then --璇光殿

--battle.Begin(2049,714,1)
--flag.SetValue(41013,2)
--
--elseif flag.GetValue(41013)==2 then --璇光殿前打完

global.BeginScene()

flag.SetValue(41004,0)

plM=player.GetMainPlayer()
nuM=flag.GetValue(41004)--领队计数
npI=402 --npcid
npx=4833
npz=1358

npc.Create(5,410,4858,1356)

for i=0,9,1


		do
		    if player.IsPlayerInTeam(2^i)==1 then
	           flag.SetValue(41004,flag.GetValue(41004)+1)
	           npc.Create(i+1,npI,npx,npz)
	           npI=npI+1
			   npx=npx+70
			   npz=npz

			   global.Print(flag.GetValue(41004))

	            if flag.GetValue(41004)==2 then
                flag.SetValue(41004,0)

					break
				end

			end


		end
		
		
npc.SetAtPos(402,4864,1117)
npc.Destroy(403)
npc.SetAtPos(403,4864,1117)
npc.SetAtPos(410,4864,1117)
		
		--删NPC
		for
		ni=404,409,1
		do
				npc.Destroy(ni)
		end


    camera.ChangeCameraStatic(4931,3307,1443,4870,3301,1364)
	camera.ResetLerp(9000)
	camera.ChangeCameraStatic(4976,3307,1313,4877,3300,1316)
	global.Wait(1)
	    ui.SetDialogHeadSize(400,500) ---------
		ui.Dialog(90193,875,3,422,0,0) --有师弟在，看来足以应付璇光殿内的事物。这样我就放心了。
		ui.SetDialogHeadSize(450,500) ---------
        ui.Dialog(90194,112,1,410,0,0) --哈哈哈，殿内小妖，视之如草芥！师兄不必担心！
        ui.SetDialogHeadSize(400,500) ---------
        ui.Dialog(90195,877,1,423,0,0) --切勿轻敌。你们可能在殿内碰见幻境。一定要谨慎行事。
		npc.MoveTo(421,4847,1335,1)
		npc.TurnToNpc(421,410,1)
		npc.SetAnim(421,220)
		global.Wait(1)
		ui.SetDialogHeadSize(450,500) ---------
		ui.Dialog(90196,592,1,421,0,0) --师叔，这是草菇道长炼制的明目丹，如有幻象可用来应急。
        npc.MoveTo(421,4804,1342,1)
		npc.SetAtPos(421,4830,1344)
		npc.SetAnim(410,211)
		ui.Dialog(90197,112,1,410,0,0) --哈哈，还是凌音体贴啊。行，那我们进去了！
		ui.SetDialogHeadSize(400,500) ---------
        ui.Dialog(90198,875,1,422,0,0) --嗯。
        ui.SetDialogHeadSize(450,500) ---------



		--淡入淡出
		effect.FadeOut(1,1)
		global.Wait(2)
       	effect.FadeIn(1,1)
		--淡入结束

	    camera.ChangeCameraStatic(4665,3460,1447,4704,3451,1355)
		camera.ResetLerp(9000)
		camera.ChangeCameraStatic(5066,3460,1417,5020,3448,1329)
		global.Wait(3)
		--建门
		npc.CreateFloat(4309,151,4856,3379,990)
		npc.Disable(151)
		npc.SetCollisionType(151,0)
		map.AddEvent(4856,990,50,20909,0)		--建立传送事件点----前往璇光幻境
        global.Wait(1)
        flag.SetValue(41013,4)

        --淡入淡出
		effect.FadeOut(1,1)
		global.Wait(3)

        camera.Resume()
		camera.ChangeCameraFree()
		npc.Destroy(413)
		npc.Destroy(410)
		npc.Destroy(421)
		npc.Destroy(422)
		npc.Destroy(423)
		for
		ni=401,409,1
		do
				npc.Destroy(ni)
		end
		player.SetVisible(player.GetMainPlayer(),1)
        player.LockPlace(16,0)
        
        player.AddItem(921,1,1)

		global.EndScene()




		effect.FadeIn(1,1)
		--淡入结束
end
	
	
end